import Sofa

class KeyboardControl(Sofa.PythonScriptController):
    # called once graph is created, to init some stuff...
    def initGraph(self,node):
        print 'initGraph called (python side)'
        self.MechanicalState = node.getObject('GodObject')
        return 0


    # key and mouse events; use this to add some user interaction to your scripts
    def onKeyPressed(self,k):

        # free_position is a scalar array : [tx,ty,tz,rx,ry,rz,rw]
        position=self.MechanicalState.position

        # translation speed
        speed = 0.1

        # UP key : front
        if ord(k)==19:
#            print "front"
            position[0][2]+=speed
        # DOWN key : rear
        if ord(k)==21:
#            print "rear"
            position[0][2]-=speed
        # LEFT key : left
        if ord(k)==18:
#            print "left"
            position[0][0]-=speed
        # RIGHT key : right
        if ord(k)==20:
#            print "right"
            position[0][0]+=speed
        # PAGEUP key : up
        if ord(k)==22:
#            print "up"
            position[0][1]-=speed
        # PAGEDN key : down
        if ord(k)==23:
#            print "down"
            position[0][1]+=speed

#        print str(position[0])

        self.MechanicalState.position=position
        return 0
